News Article Search
curl --request GET \
--url https://api.asksurf.ai/gateway/v1/search/newsimport requests
url = "https://api.asksurf.ai/gateway/v1/search/news"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.asksurf.ai/gateway/v1/search/news', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"published_at": 123,
"title": "<string>",
"highlights": {},
"project_id": "<string>",
"project_name": "<string>",
"source": "<string>",
"summary": "<string>",
"url": "<string>"
}
],
"meta": {
"cached": true,
"credits_used": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"$schema": "https://example.com/schemas/DataResponseNewsArticleItem.json"
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"$schema": "https://example.com/schemas/DataAPIError.json"
}Search
News Search
GET
/
gateway
/
v1
/
search
/
news
News Article Search
curl --request GET \
--url https://api.asksurf.ai/gateway/v1/search/newsimport requests
url = "https://api.asksurf.ai/gateway/v1/search/news"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.asksurf.ai/gateway/v1/search/news', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"published_at": 123,
"title": "<string>",
"highlights": {},
"project_id": "<string>",
"project_name": "<string>",
"source": "<string>",
"summary": "<string>",
"url": "<string>"
}
],
"meta": {
"cached": true,
"credits_used": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"$schema": "https://example.com/schemas/DataResponseNewsArticleItem.json"
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"$schema": "https://example.com/schemas/DataAPIError.json"
}Query Parameters
Search keyword or phrase
Example:
"bitcoin ETF"
⌘I